# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: MDEF Jekyll starter # <------ !!!! change this to your desired site name
email: your-email@iaac.net # <------ !!!! change this to your email
description: >-
  Write an awesome description for your new site here. You can edit this
  line in _config.yml. It will appear in your document head meta (for
  Google search results) and in your feed.xml site description.

baseurl: "/mdef-jekyll-starter" # <------ !!!! change this to your repo name i.e. john.smith

# custom collections
collections:
  reflections:
    output: true
    permalink: /:collection/:title/


defaults:
  - scope:
      path: ""
      type: "reflections"
    values:
      layout: post

# Build settings
permalink: pretty
markdown: kramdown
plugins:
  - jekyll-feed
  - jekyll/figure
  - jekyll-postfiles

# include in the final build
include:
  - images/


# Exclude from processing
exclude:
  - README.md
  - Gemfile
  - Gemfile.lock
  - node_modules
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/

